// RW Alexandria
// ==============
// The Library, well, Library : Lots of dusty tomes edition
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/alexandria/alexandria.cpp
// -Definitions of the baseline RW Alexandria sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::alexandria {

//------------------------------------------------------------------------------
Alexandria_b::Alexandria_b() : Alexandria_b{"alexandria_b_obj"} {}

//------------------------------------------------------------------------------
Alexandria_b::Alexandria_b(std::string const& handle)
    : RW{handle, Type::Alexandria} {
  stamp("Alexandria_b()");
}

//------------------------------------------------------------------------------
Alexandria::Alexandria() : Alexandria{"alexandria_obj"} {}

//------------------------------------------------------------------------------
Alexandria::Alexandria(std::string const& handle) : Alexandria_b{handle} {
  stamp("Alexandria()");
}

}  // namespace rw::curator::alexandria

//    --=^=--

// "______"

// rw_curator_lib.v220312
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
