//    RW Page
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/bumpmaster/page.hpp
// -Declarations of the baseline RW Page sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
/**
 */
class Page_b : public RW_slave {
 public:
  Page_b(Hip const& tag, std::string const& handle);  // tag-parm'd ctor

 private:
  Page_b() = delete;  // no default ctor
};

//------------------------------------------------------------------------------
/**
 */
class Page : public Page_b {
 private:
  Page() = delete;  // no default ctor
};

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220312
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
