//  RW Symmetry
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/beauty/symmetry.cpp
// -Definitions of the baseline RW Symmetry sub-library

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
Symmetry_b::Symmetry_b() : Symmetry_b{"symmetry_b_obj"} {}

//------------------------------------------------------------------------------
Symmetry_b::Symmetry_b(std::string const& handle) : RW{handle, Type::Symmetry} {
  stamp("Symmetry_b()");
}

//------------------------------------------------------------------------------
Symmetry::Symmetry() : Symmetry{"symmetry_obj"} {}

//------------------------------------------------------------------------------
Symmetry::Symmetry(std::string const& handle) : Symmetry_b{handle} {
  stamp("Symmetry()");

  // preflight();
}

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220312
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
