//   RW Design
// ==============
// Technical Evaluation & Creativity Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/design/design.cpp
// -Definitions of the baseline RW Design sub-library

#include "incls_all.hpp"

namespace rw::atashi::design {

//------------------------------------------------------------------------------
Design_b::Design_b() : Design_b{"design_b_obj"} {}

//------------------------------------------------------------------------------
Design_b::Design_b(std::string const& handle) : RW{handle, Type::Design} {
  stamp("Design_b()");
}

//------------------------------------------------------------------------------
Design::Design() : Design{"design_obj"} {}

//------------------------------------------------------------------------------
Design::Design(std::string const& handle) : Design_b{handle} {
  stamp("Design()");

  // preflight();
}

}  // namespace rw::atashi::design

//    --=^=--

// "Just like, make waifu."

// rw_atashi_lib.v220312
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
