//   RW Sempai
// ==============
// Robowaifu Advice, Mentoring, and Guidance Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/sempai/sempai.cpp
// -Definitions of the baseline RW Sempai sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sempai {

//------------------------------------------------------------------------------
Sempai_b::Sempai_b() : Sempai_b{"sempai_b_obj"} {}

//------------------------------------------------------------------------------
Sempai_b::Sempai_b(std::string const& handle) : RW{handle, Type::Sempai} {
  stamp("Sempai_b()");
}

//------------------------------------------------------------------------------
Sempai::Sempai() : Sempai{"sempai_obj"} {}

//------------------------------------------------------------------------------
Sempai::Sempai(std::string const& handle) : Sempai_b{handle} {
  stamp("Sempai()");
}

}  // namespace rw::curator::sempai

//    --=^=--

// "______"

// rw_curator_lib.v220312
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
